/* 
 *  © 2024 Appstock 
 *  */

package com.appstock.demo.java.activities.ads.topon;

import android.os.Bundle;
import android.util.Log;
import androidx.annotation.Nullable;
import com.anythink.core.api.ATAdInfo;
import com.anythink.core.api.AdError;
import com.anythink.rewardvideo.api.ATRewardVideoAd;
import com.anythink.rewardvideo.api.ATRewardVideoListener;
import com.appstock.demo.java.activities.BaseAdActivity;

public class TopOnRewardedBannerActivity extends BaseAdActivity {

    private static final String AD_UNIT_ID = "n66fa902eb38df";

    private ATRewardVideoAd adUnit;

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        createAd();
    }


    private void createAd() {
        // 1. Create ad unit
        adUnit = new ATRewardVideoAd(this, AD_UNIT_ID);

        // 2. Configure ad unit
        adUnit.setAdListener(createListener());

        // 3. Load ad
        adUnit.load();
    }

    private com.anythink.rewardvideo.api.ATRewardVideoListener createListener() {
        return new ATRewardVideoListener() {
            @Override
            public void onRewardedVideoAdLoaded() {
                // 4. Show ad
                adUnit.show(TopOnRewardedBannerActivity.this);
            }

            @Override
            public void onRewardedVideoAdFailed(AdError adError) {
                Log.e(TAG, "Ad loading failed: " + adError);
            }

            @Override
            public void onReward(ATAdInfo atAdInfo) {
                Log.d(TAG, "User earned reward: " + atAdInfo.getRewardUserCustomData());
            }

            @Override
            public void onRewardedVideoAdPlayStart(ATAdInfo atAdInfo) {

            }

            @Override
            public void onRewardedVideoAdPlayEnd(ATAdInfo atAdInfo) {

            }

            @Override
            public void onRewardedVideoAdPlayFailed(AdError adError, ATAdInfo atAdInfo) {

            }

            @Override
            public void onRewardedVideoAdClosed(ATAdInfo atAdInfo) {

            }

            @Override
            public void onRewardedVideoAdPlayClicked(ATAdInfo atAdInfo) {

            }

        };
    }


}
