/* 
 *  © 2024 Appstock 
 *  */
package com.appstock.demo.kotlin.activities.ads.topon

import android.os.Bundle
import android.util.Log
import com.anythink.core.api.ATAdInfo
import com.anythink.core.api.AdError
import com.anythink.rewardvideo.api.ATRewardVideoAd
import com.anythink.rewardvideo.api.ATRewardVideoListener
import com.appstock.demo.kotlin.activities.BaseAdActivity

class TopOnRewardedVideoActivity : BaseAdActivity() {
    private var adUnit: ATRewardVideoAd? = null

    public override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        createAd()
    }


    private fun createAd() {
        // 1. Create ad unit
        adUnit = ATRewardVideoAd(this, AD_UNIT_ID)

        // 2. Configure ad unit
        adUnit!!.setAdListener(createListener())

        // 3. Load ad
        adUnit!!.load()
    }

    private fun createListener(): ATRewardVideoListener {
        return object : ATRewardVideoListener {
            override fun onRewardedVideoAdLoaded() {
                // 4. Show ad
                adUnit!!.show(this@TopOnRewardedVideoActivity)
            }

            override fun onRewardedVideoAdFailed(adError: AdError) {
                Log.e(TAG, "Ad loading failed: $adError")
            }

            override fun onReward(atAdInfo: ATAdInfo) {
                Log.d(TAG, "User earned reward: " + atAdInfo.rewardUserCustomData)
            }

            override fun onRewardedVideoAdPlayStart(atAdInfo: ATAdInfo) {
            }

            override fun onRewardedVideoAdPlayEnd(atAdInfo: ATAdInfo) {
            }

            override fun onRewardedVideoAdPlayFailed(adError: AdError, atAdInfo: ATAdInfo) {
            }

            override fun onRewardedVideoAdClosed(atAdInfo: ATAdInfo) {
            }

            override fun onRewardedVideoAdPlayClicked(atAdInfo: ATAdInfo) {
            }
        }
    }


    companion object {
        private const val AD_UNIT_ID = "n66fa903a78da5"
    }
}
